Imports CharterDotCom.CommonEntities.Library
Imports CharterDotCom.CommonEntities.Library.Enumerations
Imports CharterDotCom.CommonEntities.Library.EntityMemberServices
Imports CharterDotCom.CommonEntities.Library.EntityEBSServices
Imports CharterDotCom.CommonEntities.Library.EntitySupport
Imports CharterDotCom.CommonEntities.Library.EntitySearch
Imports CharterDotCom.CommonEntities.Library.EntityWebConfig
Imports CharterDotCom.CommonEntities.Library.EntityG2BServices
Imports CharterDotCom.WebSite.Library
Imports CharterDotCom.WebSite.Library.BLCommon

Partial Class Visitors_SubmitOrder
    Inherits CharterCMSPage



	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        SetPageTitle("Review & Submit")
        If Not Page.IsPostBack Then
            Me.Master.OrphanPage = True

            If AccountManager.Instance.GetAccount().ExistingService IsNot Nothing Then
                ucOrderStep.Visible = False
                ucOrderStep2.Visible = True
            Else
                ucOrderStep.Visible = True
                ucOrderStep2.Visible = False
            End If

        End If

    Dim catalog As ICatalog
    catalog = CatalogManager.Instance.GetCatalog
    ' assign shopping cart's cart property
    ucSubmitOrder.Cart = catalog.Cart
	End Sub

  Protected Sub Page_PreRender(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreRender
    Me.ucSubmitOrder.HBXInfo_PageName = Me.Master.HBXPageName
    Me.ucSubmitOrder.HBXInfo_MLC = Me.Master.HBXMLC
  End Sub
End Class